<?php

class DynamicPageController extends Zend_Controller_Action
{
    // This method shows a dynamic page from the database.
    public function showAction()
    {
        $pageId = intval($this->getRequest()->getParam('id'));
        
        $pageDatabase = Zend_Registry::get('pageDatabase');
        $pageContent = $pageDatabase->getPageContent($pageId);
        
        $this->view->pageContent = $pageContent;
    }
}