<?php

class IndexController extends Zend_Controller_Action
{
    public function indexAction()
    {
        // Not much to see here. This is the index page.
    }
    
    /*
     This action shows the menu. It is called from within the layout view using
     the action view helper. See the layout to see how.
    */
    public function menuAction()
    {
        // A list of menu items. These could come from a database or whatever.
        // The siteRoot stuff is so this example works properly when its in
        // a subfolder or something rather than on its own virtualhost/domain.
        $siteRoot = Zend_Controller_Front::getInstance()->getBaseUrl();
        $pageDatabase = Zend_Registry::get('pageDatabase');
        
        $menuItems = $pageDatabase->buildMenu($siteRoot);
        
        $this->view->items = $menuItems;
    }
}
